ResponseStatus (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.types.ResponseStatus class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hyperic.hq.types
Enum ResponseStatus

    java.lang.Object
      java.lang.Enum<ResponseStatus>
          org.hyperic.hq.types.ResponseStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResponseStatus>

    public enum ResponseStatus

extends java.lang.Enum<ResponseStatus>

Java class for ResponseStatus.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ResponseStatus">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="Success"/>
         <enumeration value="Failure"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`FAILURE`
`SUCCESS`

Method Summary
`static ResponseStatus` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static ResponseStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResponseStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final ResponseStatus SUCCESS

### FAILURE

    public static final ResponseStatus FAILURE

Method Detail

### values

    public static final ResponseStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ResponseStatus c : ResponseStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ResponseStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public java.lang.String value()

### fromValue

    public static ResponseStatus fromValue(java.lang.String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.